From 65efc3575138a4d299edf7c1a59263ea57db588e Mon Sep 17 00:00:00 2001
Message-Id: <65efc3575138a4d299edf7c1a59263ea57db588e.1278054601.git.andresambrois@gmail.com>
In-Reply-To: <cover.1278054601.git.andresambrois@gmail.com>
References: <cover.1278054601.git.andresambrois@gmail.com>
From: =?UTF-8?q?Andr=C3=A9s=20Ambrois?= <andresambrois@gmail.com>
Date: Sun, 23 May 2010 03:50:01 -0300
Subject: [PATCH v2 02/10] Add a filesize column to the journal list model
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

This will make it easy to display the current sorting column by
associating a cell renderer with it.

Signed-off-by: Andrés Ambrois <andresambrois@gmail.com>
---
 src/jarabe/journal/listmodel.py |   17 +++++++++++------
 1 files changed, 11 insertions(+), 6 deletions(-)

diff --git a/src/jarabe/journal/listmodel.py b/src/jarabe/journal/listmodel.py
index 07f8544..135dc95 100644
--- a/src/jarabe/journal/listmodel.py
+++ b/src/jarabe/journal/listmodel.py
@@ -48,18 +48,20 @@ class ListModel(gtk.GenericTreeModel, gtk.TreeDragSource):
     COLUMN_ICON = 2
     COLUMN_ICON_COLOR = 3
     COLUMN_TITLE = 4
-    COLUMN_DATE = 5
-    COLUMN_PROGRESS = 6
-    COLUMN_BUDDY_1 = 7
-    COLUMN_BUDDY_2 = 8
-    COLUMN_BUDDY_3 = 9
+    COLUMN_TIMESTAMP = 5
+    COLUMN_FILESIZE = 6
+    COLUMN_PROGRESS = 7
+    COLUMN_BUDDY_1 = 8
+    COLUMN_BUDDY_2 = 9
+    COLUMN_BUDDY_3 = 10
 
     _COLUMN_TYPES = {COLUMN_UID:            str,
                      COLUMN_FAVORITE:       bool,
                      COLUMN_ICON:           str,
                      COLUMN_ICON_COLOR:     object,
                      COLUMN_TITLE:          str,
-                     COLUMN_DATE:           str,
+                     COLUMN_TIMESTAMP:      str,
+                     COLUMN_FILESIZE:       str,
                      COLUMN_PROGRESS:       int,
                      COLUMN_BUDDY_1:        object,
                      COLUMN_BUDDY_3:        object,
@@ -141,6 +143,9 @@ class ListModel(gtk.GenericTreeModel, gtk.TreeDragSource):
         timestamp = int(metadata.get('timestamp', 0))
         self._cached_row.append(util.timestamp_to_elapsed_string(timestamp))
 
+        size = int(metadata.get('filesize', 0))
+        self._cached_row.append(util.format_size(size))
+
         self._cached_row.append(int(metadata.get('progress', 100)))
 
         if metadata.get('buddies', ''):
-- 
1.7.0.4

